Summary: MIME compliant mail reader w/ news support as well
Name: pine
Version: 4.10
Release: 2
Group: Applications/Mail
Copyright: distributable
Url: http://www.washington.edu/pine
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.cac.washington.edu/pine/pine%{version}.tar.gz
Patch0: pine4.02-filter.patch
Patch1: pine4.04-noflock.patch
Patch2: pine4.05-ioctl.patch
Patch3: pine4.10-quote.patch
Patch4: pine4.10-spool.patch
Buildroot: /var/tmp/%{name}-root

%description
Pine is a very full featured text based mail and news client. It is
aimed at both novice and expert users. It includes an easy to use editor,
pico, for composing messages. Pico has gained popularity as a stand
alone text editor in it's own right. It features MIME support, address
books, and support for IMAP, mail, and MH style folders.


%prep
%setup -q -n pine%{version}

%patch0 -p1 -b .filter
# Force use of fcntl() rather than flock() for NFS locking.
%patch1 -p1 -b .noflock
%patch2 -p1 -b ioctl
# Fixed a buffer overflow.
%patch3 -p1 -b quote
# Replace usr.*spool.*mail with var.*spool.*mail.
# Not including /usr/spool/mail which is fixed using perl below.
%patch4 -p1 -b .spool

# Patch paths
for i in `find . -type f`; do
	fgrep -q -s /usr/local/lib $i && \
		perl -pi -e 's|/usr/local/lib|/etc/pine|g' $i
	fgrep -q -s /usr/spool/mail $i && \
		perl -pi -e 's|/usr/spool/mail|/var/spool/mail|g' $i
	# /usr/local/bin doesn't need to be patched since we happen to have
	# /usr/local/bin/netscape.
done


%build
./build CC="gcc $RPM_OPT_FLAGS" slx


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/bin,usr/man/man1,etc/pine}
install -m755 -s bin/{pico,pilot,pine} $RPM_BUILD_ROOT/usr/bin
install -m644 doc/{pico,pilot,pine}.1  $RPM_BUILD_ROOT/usr/man/man1
touch $RPM_BUILD_ROOT/etc/pine/{pine.conf,pine.conf.fixed}


%files
%defattr(-,root,root)
%doc CPYRIGHT README doc/*.txt doc/tech-notes
%config /etc/pine/*
/usr/bin/*
/usr/man/man1/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Apr  1 1999 Hao Li <hli@wag.caltech.edu>
- pine-4.10-2. Included several patches from RH52 update 4.10-1.

* Sun Feb 28 1999 Hao Li <hli@wag.caltech.edu>
- pine-4.10-1.
- See tech-notes.txt on how to configure /etc/pine/{pine.conf,pine.conf.fixed}.
- Since /etc/mailcap and /etc/mime.types take precedence over pine's own
  copies and are more complete, there is no need to keep pine's own.
